# Remove previous attempts
sudo rm -rf /opt/robot_dart

export PATH=/opt/magnum/bin:$PATH
export LD_LIBRARY_PATH=/opt/magnum/lib:/opt/dart/lib:$LD_LIBRARY_PATH
export PYTHONPATH=/opt/dart/lib/python3/dist-packages:$PYTHONPATH

# Make temp folder
mkdir -p temp_robot_dart
cd temp_robot_dart

# RobotDART
if [ ! -d "robot_dart" ]
then
git clone https://github.com/resibots/robot_dart.git
cd robot_dart
else
cd robot_dart
./waf distclean
fi
./waf configure --prefix /opt/robot_dart --python --dart /opt/dart --corrade_install_dir /opt/magnum --magnum_install_dir /opt/magnum --magnum_plugins_install_dir /opt/magnum --magnum_integration_install_dir /opt/magnum
./waf -j8
./waf examples -j8
sudo ./waf install
